Sites
List pages
Pages in site order. `kind` defaults to PAGE; HEADER and FOOTER are the site chrome, TEMPLATE pages belong to collections.
Pages in site order. kind defaults to PAGE; HEADER and FOOTER are the site chrome, TEMPLATE pages belong to collections.
x-api-key<token>
In: header
Path Parameters
siteId*string
Query Parameters
kind?string
Value in
- "PAGE"
- "HEADER"
- "FOOTER"
- "TEMPLATE"
Response Body
application/json
curl -X GET "https://example.com/sites/string/pages"{ "data": [ { "id": "string", "title": "string", "slug": "string", "kind": "PAGE", "hidden": true, "hideHeader": false, "hideFooter": false, "seo": { "title": "string", "description": "string", "ogImage": "string", "noindex": true, "schemaType": "WebPage", "publishedAt": "string" }, "contentVersion": 0, "body": null, "updatedAt": "2019-08-24T14:15:22Z" } ]}
Planeward Docs